var PrevDelOpt = {

	createMenuItem: function(aLabel) 
	{
	  const XUL_NS = "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul";
	  var item = document.createElementNS(XUL_NS, "menuitem"); // crée un nouvel élément de menu XUL
	  item.setAttribute("label", aLabel);
	  return item;
	},

	loadPref: function()
	{
		var branch = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
		var tagService = Components.classes["@mozilla.org/messenger/tagservice;1"].getService(Components.interfaces.nsIMsgTagService);
		var TagKey = branch.getCharPref( "extensions.preventdelete.etiquette" );
		var doAlert = branch.getBoolPref( "extensions.preventdelete.alert" );

		prefw = document.getElementById("PrevDelOptions");

		PrevDTList = document.getElementById("PrevDTList");
      PrevDTPop = document.getElementById("PrevDTPop");
		rbgrp = document.getElementById("rbgrp")
		chkwarning = document.getElementById("chkwarning");
		
		var allTags = tagService.getAllTags({});
		for (var inc = 0; inc < allTags.length; inc++)
		{
			var aTag = PrevDelOpt.createMenuItem(allTags[inc].tag);
			aTag.style.setProperty("color",allTags[inc].color,"");
			PrevDTPop.appendChild(aTag);
			if( allTags[inc].key == TagKey ) PrevDTList.selectedIndex = inc;
		}
		if( doAlert )
		   rbgrp.selectedIndex = 0;
		else
		   rbgrp.selectedIndex = 1;
		chkwarning.checked = branch.getBoolPref( "extensions.preventdelete.warning" );
		PrevDTList.style.setProperty("color",PrevDTList.selectedItem.style.color,"");
		
		dlgbt = document.getAnonymousElementByAttribute(prefw,"anonid","dlg-buttons");
		dlgbt.setAttribute("pack","center");
		window.sizeToContent();
	},
	
	OkPref: function()
	{
		var branch = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
		var tagService = Components.classes["@mozilla.org/messenger/tagservice;1"].getService(Components.interfaces.nsIMsgTagService);
		var allTags = tagService.getAllTags({});
		
		prefw = document.getElementById("PrevDelOptions");
		rbalert = document.getElementById("rbalert");
		chkwarning = document.getElementById("chkwarning");
		PrevDTList = document.getElementById("PrevDTList");
		
		branch.setBoolPref( "extensions.preventdelete.alert", rbalert.selected );
		branch.setCharPref( "extensions.preventdelete.etiquette", allTags[PrevDTList.selectedIndex].key );
		branch.setBoolPref( "extensions.preventdelete.warning", chkwarning.checked );
	},
	
	rbChange: function()
	{
	   rbnoalert = document.getElementById("rbnoalert");
		chkwarning = document.getElementById("chkwarning");
		chkwarning.checked = rbnoalert.selected;
		chkwarning.disabled = !rbnoalert.selected;
	},
	
	listChange: function()
	{
	   PrevDTList = document.getElementById("PrevDTList");
		PrevDTList.style.setProperty("color",PrevDTList.selectedItem.style.color,"");
	}
}
